Gets states for all dates in the given interval
GET
/v1/WebBooking/DayStates
const url = 'https://rms.dev.caspeco.net/api/booking/v1/WebBooking/DayStates?includeAvailableSeats=false&includeFirstAvailableMonth=false';const options = {method: 'GET', headers: {system: 'example'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://rms.dev.caspeco.net/api/booking/v1/WebBooking/DayStates?includeAvailableSeats=false&includeFirstAvailableMonth=false' \ --header 'system: example'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Query Parameters
Section titled “Query Parameters”fromDate
string format: date-time
The starting date (inclusive) to check day state for.
toDate
string format: date-time
The ending date (inclusive) to check day state for.
unitId
Array<integer>
Get the times for these unit IDs only.
sectionId
Array<integer>
Get the times for these section IDs only.
includeAvailableSeats
boolean
Sets the property AvailableSeats, which contains a list of available group sizes to book sometime on this day.
includeFirstAvailableMonth
boolean
If true, will return also following months, up and including the first day with available times (not waitlist). Requires ‘includeAvailableSeats=true’
tag
string
Get the times for rules with this tag only
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
day
string format: date-time
unitId
integer format: int64
sectionId
integer format: int64
state
integer
availableSeats
Array<integer>
bookedStatus
integer
waitListSeats
Array<integer>
Example
[ { "state": 0, "bookedStatus": 0 }]